This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 9343 - up2date doesn't work
up2date doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-11 09:15 EST by Steve Wills
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-28 13:17:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Wills 2000-02-11 09:15:26 EST
running up2date spews this error after entering roots password:

$ up2date
Traceback (innermost last):
  File "/usr/sbin/up2date", line 118, in ?
    from gui import Gui
  File "/usr/share/up2date/gui.py", line 10, in ?
    from client import Client
  File "/usr/share/up2date/client.py", line 12, in ?
    from rpmdb import *
  File "/usr/share/up2date/rpmdb.py", line 19, in ?
    from package import *
  File "/usr/share/up2date/package.py", line 24, in ?
    import rpm
ImportError: No module named rpm
$
Comment 1 Bill Nottingham 2000-02-11 11:12:59 EST
First of all, you need gnome-python.

Second of all, once you do that, it won't work anyways. We're
working on it.
Comment 2 Bill Nottingham 2000-02-11 11:13:59 EST
Duh, make that rpm-python. Asleep at the wheel.
Comment 3 Steve Wills 2000-02-11 11:14:59 EST
Well, I did a "gnome workstation" install. Perhaps there is a broken dependency?
Comment 4 Bill Nottingham 2000-02-12 14:58:59 EST
Yes, there is.
Comment 5 Preston Brown 2000-02-28 13:17:59 EST
fixed before final 6.2 release.

Note You need to log in before you can comment on or make changes to this bug.